socceR
================

RoboCup Soccer 2Dの試合分析のためのツール群

### `read_rcl`

指定されたrclファイルを解析し、tibbleにして返します。

``` r
library(tidyverse)
source("R/read_rcl.R")
read_rcl("data/20220405162804-HELIOS_base_3-vs-enemy_2.rcl")
## # A tibble: 867,098 x 6
##    step  team        unum  command     args      line                           
##    <chr> <chr>       <chr> <chr>       <list>    <chr>                          
##  1 0     HELIOS_base 1     init        <chr [1]> "0,114\tRecv HELIOS_base_1: (i~
##  2 0     HELIOS_base 1     version     <chr [1]> "0,114\tRecv HELIOS_base_1: (i~
##  3 0     HELIOS_base 1     goalie      <chr [0]> "0,114\tRecv HELIOS_base_1: (i~
##  4 0     HELIOS_base 1     synch_see   <chr [0]> "0,115\tRecv HELIOS_base_1: (s~
##  5 0     HELIOS_base 1     ear         <chr [0]> "0,115\tRecv HELIOS_base_1: (s~
##  6 0     HELIOS_base 1     off         <chr [1]> "0,115\tRecv HELIOS_base_1: (s~
##  7 0     HELIOS_base 1     clang       <chr [0]> "0,115\tRecv HELIOS_base_1: (s~
##  8 0     HELIOS_base 1     ver         <chr [1]> "0,115\tRecv HELIOS_base_1: (s~
##  9 0     HELIOS_base 1     change_view <chr [1]> "0,115\tRecv HELIOS_base_1: (c~
## 10 0     HELIOS_base 1     turn        <chr [1]> "0,115\tRecv HELIOS_base_1: (t~
## # ... with 867,088 more rows
```
